Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041317
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Localization Pack: Spain] SII Retailmajoralways2019-07-08 17:462020-11-04 12:10
ReporterpsanjuanView Statuspublic 
Assigned Topsanjuan 
PriorityurgentResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned To
Regression introduced in release
Summary

0041317: Correct "Clave de Tipo de Factura" needs to be assigned to the invoices, once Invoicing improvementes are implemented in POS

DescriptionCorrect "Clave de Tipo de Factura" needs to be assigned to the invoices, once Invoicing improvementes are implemented in Openbravo for Retail.
Steps To Reproducen/a
Proposed SolutionOnce the changes described in the document below are implemented, Openbravo Web POS need to assign the correct "Clave de Tipo Factura", as described below:

https://docs.google.com/document/d/14sfEAWuMZgSBKgKP8WTLkKRiEsHGaOxsjIROy3Guz-Y/edit [^]


Full Invoice (positive) (AR Invoice) - always F1
Simplified Invoice (positive) (Simplified AR Invoice) - always F2

Partial returns:

Full Invoice Return (Return Material Sales Invoice) - always R1 and "Tipo de Rectificativa" = Por Diferencias
Simplified Invoice Return (Simplified Return Material Sales Invoice)- always R5 and "Tipo de Rectificativa" = Por Diferencias
 

Total returns:

Full Invoice Return (Return Material Sales Invoice) - always F1 and negative

Simplified Invoice Return (Simplified Return Material Sales Invoice)- always F2 and negative
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate design defect 0040466 closedpsanjuan Partial returns need to be handle in SII as "Clave Tipo Factura" F5 

-  Notes
(0121291)
psanjuan (manager)
2020-07-07 10:06
edited on: 2020-07-14 17:47

1.- Issue of a Simplified Invoice at sales time

Requires:
- Backoffice paramenter “Generate Simplified Invoice” = Yes
- A Web POS order with a Non identified or an Identified Customer having “Inmediate” Invoice Terms

In such cases a simplified invoice is created in Openbravo POS.
That invoice needs to be created in the Openbravo backoffice (Sales Invoice windows) as described below:
Operation Date (Fecha de Operación) = order date
Invoice Type = Factura Simplificada (F2)


2, Issue of a Full Invoice

2.a - at sales time requires:

- Backoffice paramenter “Generate Simplified Invoice” = Yes
- A Web POS order with an Identified Customer, having “Inmediate” Invoice Terms
- Usage of “Issue Invoice” feature

2. b – at delivery time requires:

- Backoffice paramenter “Generate Simplified Invoice” = Yes
- A Web POS order with an Identified Customer, do NOT having “Inmediate” Invoice Terms

In both cases (2,a and 2,b) a Full Invoice will be created in Openbravo POS either at sales time or at delivery time. That invoices needs to be created in the Openbravo backoffice (Sales Invoice windows) as described below:

Operation Date (Fecha de Operación) = order date
Invoice Type = Factura (F1)

3. Issue of a Simplified Return Invoice

This type of invoices can be created in Openbravo Web POS by using either "Verified Returns" or "Return this Receipt" (Blind Returns), besides below listed features:

- Backoffice paramenter “Generate Simplified Invoice” = Yes
- A Web POS order with a Non identified Customer

* it is important to remark that in the case of a Return Invoice of any type, Invoice Terms are not relevant. Every time that a sales return is booked in the system, the products are delivered back from the buyer, therefore the corresponding return invoice is created, either simplified or full.

In such cases a simplified return invoice is created in the Openbravo backoffice (Sales Invoice window) as described below:
Operation date = Original simplified invoice date (Verified Returns), Order Date (Blind Return)
Invoice Type (Clave tipo Factura) = Factura Rectificativa
Rectification Type (Tipo Rectificativa) = I (Por diferencias)
Rectification Reason (Motivo Rectificación) = R5

4. Issue of a Full Return Invoice

This type of invoices can be created in Openbravo Web POS by using either "Verified Returns" or "Return this Receipt" (Blind Returns), besides below listed features:

- Backoffice paramenter “Generate Simplified Invoice” = Yes
- A Web POS order with an identified Customer
- Usage of “Issue Invoice” feature

In such cases a full return invoice is created in the Openbravo backoffice (Sales Invoice window) as described below:

Invoice Type (Clave tipo Factura) = Factura Rectificativa
Rectification Type (Tipo Rectificativa) = I (Por diferencias)
Rectification Reason (Motivo Rectificación) = R1
   This value could be changed in the backoffice, if required to R1, R2 or R3
    
5.- Cancel and Replace feature usage will generate:

- a void invoice that is a negative simplified or full invoice depending on source invoice, which will have to be sent to the backoffice as "Factura Simplificada" (F2) negative or as "Factura" (F1) negative, respectively

- and a new and positive simplified or full invoice which will have to be sent to the backoffice as either:

Invoice Type = Factura Rectificada
Rectification type = S (Por sustitución)
Rectification Reason = R5 (if an order having a simplified invoice related is being cancelled and replaced).

or

Invoice Type = Factura Rectificada
Rectification type = S (Por sustitución)
Rectification Reason = R1 (if an order having a full invoice related is being cancelled and replaced)


- Issue History
Date Modified Username Field Change
2019-07-08 17:46 psanjuan New Issue
2019-07-08 17:46 psanjuan Assigned To => psanjuan
2020-06-25 10:22 psanjuan Proposed Solution updated
2020-07-07 09:52 psanjuan Proposed Solution updated
2020-07-07 10:06 psanjuan Note Added: 0121291
2020-07-07 10:06 psanjuan Note Edited: 0121291 View Revisions
2020-07-07 10:07 psanjuan Note Edited: 0121291 View Revisions
2020-07-07 16:28 psanjuan Note Edited: 0121291 View Revisions
2020-07-07 16:55 psanjuan Note Edited: 0121291 View Revisions
2020-07-07 16:56 psanjuan Note Edited: 0121291 View Revisions
2020-07-07 17:01 psanjuan Note Edited: 0121291 View Revisions
2020-07-07 17:15 psanjuan Note Edited: 0121291 View Revisions
2020-07-07 17:16 psanjuan Note Edited: 0121291 View Revisions
2020-07-07 17:45 psanjuan Note Edited: 0121291 View Revisions
2020-07-07 17:45 psanjuan Note Edited: 0121291 View Revisions
2020-07-08 16:13 psanjuan Note Edited: 0121291 View Revisions
2020-07-08 16:22 psanjuan Note Edited: 0121291 View Revisions
2020-07-14 17:46 psanjuan Proposed Solution updated
2020-07-14 17:46 psanjuan Note Edited: 0121291 View Revisions
2020-07-14 17:47 psanjuan Note Edited: 0121291 View Revisions
2020-09-01 15:40 psanjuan Relationship added has duplicate 0040466
2020-09-01 15:44 psanjuan Proposed Solution updated
2020-09-01 15:45 psanjuan Proposed Solution updated
2020-11-04 12:10 psanjuan Proposed Solution updated


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker